{%- comment -%}

Un botón con contenido copiable.  Si el
link es externo, agregar el parámetro de seguridad noopener.

@param :copy [String] El texto copiable
@param :text [String] El contenido

{%- endcomment -%}

{% capture content %}
  <span data-button-copy-target="text">{{- include.text -}}</span>
  <span data-button-copy-target="icon" class="pl-2">
    {%- include svg/copy-icon.svg -%}
  </span>
  <span data-button-copy-target="confirmationIcon" class="d-none pl-2">
    {%- include svg/done-icon.svg -%}
  </span>
{% endcapture %}

{% capture extra %}
  data-controller="button-copy"
  data-button-copy-text-value="{{ include.copy | escape_once }}"
  data-button-copy-confirmation-value="{{ site.i18n.button_copy.confirmation | replace: "%s", include.copy | escape_once }}"
  data-action="button-copy#copy"
{% endcapture %}

{% include buttons/button.html class="btn btn-primary" content=content extra=extra %}
